# California Gothic
California Gothic is a typeface based on the glyphs found on the California flag.  The typeface is a bold condensed sans-serif, reminiscent of classic gothic or grotesque style typefaces. The font is all-caps, and covers all the Unicode Basic Latin ranges, general punctuation, and many other characters.

More information can be found at [mattlag.com/californiagothic](https://www.mattlag.com/californiagothic) 


# Background
In 1953, California standardized the state flag in law.  Section 420 of the Government Code says:

```
The general design and the details of the Bear Flag, excluding colors, 
shall correspond substantially with the following representation
```
![California Flag](https://raw.githubusercontent.com/mattlag/California-Gothic/master/img/California_Flag.png)
...and includes this low res sketch of the flag itself.  

### But hark!
No mention of a specific typeface to use for the iconic CALIFORNIA REPUBLIC text along the bottom of the flag.  
Not even a family... or even serif / sans-serif.  Just "correspond substantially". Okay.

Long story short, this project aims to reverse-engineer a typeface based on high-resolution scans
of the letter forms from [the original 1953 law](https://raw.githubusercontent.com/mattlag/California-Gothic/master/img/State_Law_Page_2639.png).


# Info
### Download the font files from [mattlag.com/californiagothic](https://www.mattlag.com/californiagothic)
v2.2 is out, it is a complete re-drawing of all glyphs, and includes 446 characters from the following ranges:
## Full character ranges
 - Basic Latin (U+0020 - U+007E)
 - Latin Supplement (U+00A0 - U+00FF)
 - Latin Extended-A (U+0100 - U+017F)
 - General Punctuation (U+2000 - U+206F)

## Partial character ranges
 - Spacing Modifier Letters (U+02B0 - U+02FF)
 - Combining Diacritical Marks (U+0300 - U+036F)
 - Superscripts and Subscripts (U+2070 - U+209F)
 - Currency Symbols (U+20A0 - U+20CF)
 - Letterlike Symbols (U+2100 - U+214F)
 - Arrows (U+2190 - U+21FF)
 - Mathematical Operators (U+2200 - U+22FF)
 - Arabic Presentation Forms-B (U+FE70 - U+FEFF)
 - Specials (U+FFF0 - U+FFFF)

California Gothic is released under the SIL Open Font License, which you can read about in OFL.txt and 
OFL-FAQ.txt in this project.

![OFL Logo](https://scripts.sil.org/cms/sites/nrsi/media/OFL_logo_circ_color.png)



# Build Process
This is a passion project of mine, but I also used designing this typeface to help me test scenarios for 
Glyphr Studio ([Website](https://www.glyphrstudio.com) - [GitHub](https://github.com/glyphr-studio)) 
which is *another* passion project of mine.  All the source files are included in this repo, but it may 
not look like "normal" typeface design source files.  So, here is an overview of the process of how this 
typeface was built:

 1. Design base glyphs in Adobe Illustrator
    - Designed at full Em size (2048) Split into files for Letters and Symbols
    - Copy those two files and flatten / combine all shapes
    - Export each glyph as an individual SVG file
 3. Glyphr Studio
    - Import base glyphs from SVG files
    - Use the Diacritical Glyph Generator global action to make diacritics
    - Flatten some of the resulting glyphs generated by the diacritical glyph generator
    - Inspect each character and make sure all points are rounded to whole numbers
    - Use the All Caps Font global action to copy capitals to lower-case characters
    - Kern everything
    - Export a SVG Font (to retain Kern information)
 4. Font Forge
    - Edit Metadata
    - Fix any validation errors
    - Export a UFO font
 5. Finalize
    - Build a TTF file from the UFO using fontmake
    - Validate with Font Bakery and fix any issues with gftools and TTX

All of the files for each of these stages are available in the 
[working-files](https://github.com/mattlag/California-Gothic/tree/master/working-files) folder.


# Hey, it's me!
My name is Matt LaGrandeur, and I'd be happy to answer any questions you may have.

Website: [mattlag.com](http://www.mattlag.com/) 

Email: matt[at]mattlag[dot]com

![Matthew LaGrandeur's picture](https://1.gravatar.com/avatar/f6f7b963adc54db7e713d7bd5f4903ec?s=70)
